Subject: FVWM: FvwmButtons bug

From: [email-masked] (Graeme McCaffery)
Date: Thu, 3 Jul 1997 16:21:19 +0100 (BST)

thanks to Thomas Honigmann for helping me figure out what was
going wrong.

when I specified that FvwmButtons  had a separate config file
and specified colours in the #??????  format FvwmButtons assumed
that it was the beginning of a comment.

I've changed a bit of this code in parse.c (in FvwmButtons dir)
could someone please check it for me. I've done a couple of simple
tests and it seems fine. if it is ok, could this be changed for the 
next release.
I think the patch is in the correct format though I haven't done
this b4.

Graeme

diff file
--------------------------------------------------
785,792c788,797
< 
< /* Check to see if line begins with a comment # 
<   first have to trim off white spaces  */
< 
<       trimleft(t);
< 
<       if (t[0]=='#')*t=0;
< 
---
>       while(*t)
> 	{
> 	  if(*t=='#' && (t==s || *(t-1)!='\\'))
> 	    {
> 	      *t=0;
> 	      break;
> 	    }
> 	  t++;
> 	}
>       t=s;trimleft(t);

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].